/* swlib - Smith-Waterman search library */
/* Copyright (C) 2001  OKUJI K. Yoshinori <o@bioruby.org>
   
   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.
   
   You should have received a copy of the GNU Library General Public
   License along with this library; if not, write to the Free
   Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
   MA 02111-1307, USA.  */

#include <sw.h>

#include <stdlib.h>

/* Free the resource for SEQ.  */
sw_err_t
sw_seq_free (sw_seq_t *seq)
{
  if (! seq)
    return SW_ERR_BADARG;

  if (seq->data)
    {
      free (seq->data);
      seq->data = 0;
      seq->len = 0;
    }

  return SW_ERR_SUCCESS;
}

