/* swlib - Smith-Waterman search library */
/* Copyright (C) 2001  OKUJI K. Yoshinori <o@bioruby.org>
   
   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.
   
   You should have received a copy of the GNU Library General Public
   License along with this library; if not, write to the Free
   Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
   MA 02111-1307, USA.  */

#include <sw.h>

/* Prepend DATA to SEQ.  */
sw_err_t
sw_seq_prepend (sw_seq_t *seq, const char *data)
{
  sw_seq_t tmp;
  sw_err_t err;
  
  if (! seq || ! seq->data)
    return SW_ERR_BADARG;

  if (! data)
    return SW_ERR_SUCCESS;

  err = sw_seq_init (&tmp, data);
  if (err != SW_ERR_SUCCESS)
    return err;

  err = sw_seq_append (&tmp, sw_seq_data (seq));
  if (err != SW_ERR_SUCCESS)
    return err;

  sw_seq_free (seq);
  *seq = tmp;

  return SW_ERR_SUCCESS;
}

